Game = gideros.class(Sprite)
 
function Game:init()
	
	self:addChild(Bitmap.new(Texture.new("images/foreground.png", true)))

	self:addEventListener("enterBegin", self.onTransitionInBegin, self)
	self:addEventListener("enterEnd", self.onTransitionInEnd, self)
	self:addEventListener("exitBegin", self.onTransitionOutBegin, self)
	self:addEventListener("exitEnd", self.onTransitionOutEnd, self)
end

function Game:onTransitionInEnd() -- ADD LISTENERS, START LOGIC
	self:addEventListener(Event.ENTER_FRAME, self.update, self)
end

function Game:onTransitionInBegin() -- INITIALIZE VARIABLES HERE
end

function Game:onTransitionOutBegin() -- STOP TIMERS, REMOVE LISTENERS
end

function Game:onTransitionOutEnd() -- GONE FROM STAGE, CLEANUP
	self:removeEventListener(Event.ENTER_FRAME, self.update, self)

	self:removeEventListener("enterBegin", self.onTransitionInBegin, self)
	self:removeEventListener("enterEnd", self.onTransitionInEnd, self)
	self:removeEventListener("exitBegin", self.onTransitionOutBegin, self)
	self:removeEventListener("exitEnd", self.onTransitionOutEnd, self)
end

function Game:update(event) -- MAIN GAME LOOP
	local dt = event.deltaTime

	-- do stuff here every frame
end
